Bug 64807 - kernel nfs inode errors
Summary: kernel nfs inode errors
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-13 02:45 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 11:04:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
syslog messages (2.15 KB, text/plain)
2002-05-17 15:55 UTC, Need Real Name
no flags Details

Description Need Real Name 2002-05-13 02:45:22 UTC
Description of Problem:

The following error messages were seen in /var/log/messages:

nfs_refresh_inode: inode number mismatch
expected (0x73d8/0x434a80), got (0x0/0x0)

Version-Release number of selected component (if applicable):

2.4.9-31smp

How Reproducible:

This has only been seen one time on one server so far.

Steps to Reproduce:

Unknown.  The server in question pulls a sustained 30Mb/s off an NFS server, so
it may be load related.

Comment 1 Need Real Name 2002-05-17 15:55:47 UTC
Created attachment 57746 [details]
syslog messages

Comment 2 Need Real Name 2002-05-17 15:56:55 UTC
This is still showing up occassionally, with differing values for the "got"
message.  We have still only seen this on the one host, though.

Comment 3 Arjan van de Ven 2002-05-21 12:27:39 UTC
I wonder if this is related to the tcp bugs you saw... I'm waiting for a fix for
those to see if that fix fixes this too

Comment 4 Need Real Name 2002-05-21 15:10:07 UTC
We're using NFS over UDP, not TCP, and the dates of the events do not match, so
unless the TCP bug is causing a memory scribble somewhere, I do not beleve there
is a relationship between the two.

Comment 5 Bill Nottingham 2003-01-07 05:02:11 UTC
FWIW, this is in devserv's logs for today:

nfs_refresh_inode: inode number mismatch
expected (0xf/0x6ebe3), got (0xf/0xd3a10)

Linux devserv.devel.redhat.com 2.4.18-17.7.xsmp #1 SMP Tue Oct 8 12:37:04 EDT
2002 i686 unknown

Comment 6 Steve Dickson 2004-08-11 11:04:56 UTC
This is filer issue that we are currently addressing...
the work-around is to reexport the filesystems on the filer 


Note You need to log in before you can comment on or make changes to this bug.